Die Spezifikationskomponente Datenprüfprogramm kann zur Validierung der Datenlieferungen verwendet werden. Das Datenprüfprogramm (DPP) protokolliert alle Prüfergebnisse mit OK, WARNING oder ERROR und den entsprechenden Fehlermeldungen.    
    
Programmaufruf zur Prüfung der Exportmodule F_SA, F_SA23 und FFXE:    
* Doppelklick auf datenpruefprogramm_LE_data_flow_LE_BAS.bat    
    
Programmaufruf zur Prüfung der Exportmodule F_NW:    
* Doppelklick auf datenpruefprogramm_LE_data_flow_LE_LVKK.bat    
    
Das Prüfergebnis kann mit der Output-Datei    
\output\html\index.html    
in jedem beliebigen Internetbrowser angezeigt werden.    
    
Was prüft das DPP?    
* Wohlgeformtheit und Schemakonformität der Exportdatei  
* Regeln aus der Tabelle QSDOK.Regeln mit gueltigNachExport = true oder deren referenzierten QSDOK.MehrfachRegel    
* administrative Prüfungen aus QSDOK.vPruefung mit der Eigenschaft dpp = true    

Mehr Infos in der Spezifikationskomponente Technische Dokumentation in den Abschnitten:    
* Prozesse in den Datenannahmestellen    
* Datenprüfprogramm   
    
Achtung:   
Die durch das DPP generierten Datenflussprotokolle sind NICHT vollständig. Es fehlen die Prüfungen aus QSDOK.vPruefung mit der Eigenschaft dpp = false. siehe "Prozesse in den Datenannahmestellen" in der Technischen Dokumentation.  

Aufgrund der Prämisse UTF-8 mit Eingrenzung auf "LATEINISCHE ZEICHEN IN UNICODE" werden keine weichen Schemata für das Datenprüfprogramm zur Verfügung gestellt. Das Datenprüfprogramm muss im Rahmen der QSFFx-Richtlinie im Unterschied zu anderen Spezifikationen mit harten Schemata ausgeführt werden.  

Weitere Hinweise bzgl. des entschlüsselten XSL-Stylesheets sind in der Markdown-Datei  
.\xsl\readme.md .  

    
